天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 82|回复: 0

The text style name to use for the specified row types.

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
(vl-load-com)
(defun c:Example_GetTextStyle()
    ;; This example creates a TableStyle object and sets values for
    ;; the style name and other attributes.
    (setq acadObj (vlax-get-acad-object)
          doc (vla-get-ActiveDocument acadObj))
  
    (setq dictionaries (vla-get-Dictionaries doc)
          dictObj (vla-Item dictionaries "acad_tablestyle"))
   
    ;; Create the custom TableStyle object in the dictionary
    (setq keyName "NewStyle"
          className "AcDbTableStyle")
  
    (setq customObj (vla-AddObject dictObj keyName className))
      
    (vla-put-Name customObj "NewStyle")
    (vla-put-Description customObj "New Style for My Tables")
  
    (vla-put-FlowDirection customObj acTableBottomToTop)
    (vla-put-HorzCellMargin customObj 0.22)
    (vla-put-BitFlags customObj 1)
    (vla-SetTextHeight customObj acTitleRow 1.3)
    (vla-SetTextHeight customObj acHeaderRow 1)
    (vla-SetTextHeight customObj acDataRow 1)
    (vla-SetTextStyle customObj acTitleRow "Standard")
    (vla-SetTextStyle customObj acHeaderRow "Standard")
    (vla-SetTextStyle customObj acDataRow "Standard")

    (setq col (vla-GetBackgroundColor customObj acTitleRow))
    (vla-SetRGB col 12 23 45)
  
    (vla-SetBackgroundColor customObj acTitleRow col)
    (vla-SetGridVisibility customObj (+ acHorzInside acHorzTop) acTitleRow :vlax-true)
    (vla-SetGridVisibility customObj (+ acHorzInside acHorzTop) acHeaderRow :vlax-true)
    (vla-SetGridVisibility customObj (+ acHorzInside acHorzTop) acDataRow :vlax-true)
    (vla-SetAlignment customObj acTitleRow acBottomRight)
    (vla-SetAlignment customObj acHeaderRow acBottomCenter)
    (vla-SetAlignment customObj acDataRow acBottomRight)
    (vla-SetRGB col 244 0 0)
    (vla-SetGridColor customObj (+ acHorzTop acHorzInside) acDataRow col)
      
    (alert (strcat "Table Style Name = " (vla-get-Name customObj)
                   "\nStyle Description = " (vla-get-Description customObj)
                   "\nFlow Direction = " (itoa (vla-get-FlowDirection customObj))
                   "\nHorzontal Cell Margin = " (rtos (vla-get-HorzCellMargin customObj) 2)
                   "\nBit Flags = " (itoa (vla-get-BitFlags customObj))
                   "\nTitle Row Text Height = " (rtos (vla-GetTextHeight customObj acTitleRow) 2)
                   "\nTitle Row Text Style = " (vla-GetTextStyle customObj acTitleRow)
                   "\nGrid Visibility for HorizontalBottom TitleRow  = " (if (= (vla-GetGridVisibility customObj acHorzBottom acTitleRow) :vlax-true) "True" "False")
                   "\nTitle Row Alignment = " (itoa (vla-GetAlignment customObj acTitleRow))
                   "\nHeader Suppression = " (if (= (vla-get-HeaderSuppressed customObj) :vlax-true) "True" "False")
           )
    )
)

 

 

 

 

The text style name to use for the specified row types.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 11:46 , Processed in 0.144914 second(s), 27 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表